Skip to navigation

Pre Encounter Appointments V 1 Get Counts

Gets aggregate counts for the visits matching the given filters.

The counts respect all provided filters but are independent of pagination, so this can be fetched once when filters change instead of on every page of get_visits.

IMPORTANT: Like get_visits, this endpoint requires a date filter on appointment.startTimestamp to ensure acceptable query performance.

Authentication

AuthorizationBearer
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

Query parameters

filtersstringOptional

Required: Must include a date filter on appointment.startTimestamp (using gt, lt, or eq operators). Example: appointment.startTimestamp|gt|2024-01-01

Response

not_ready_reason_countsmap from strings to integers or nullOptional

Errors

400
Bad Request Error